@import url("./reset.css");

/* ### Body Copy

- Font size (paragraph): 16px

### Fonts

- Family: [Young Serif](https://fonts.google.com/specimen/Young+Serif)
- Weights: 400

- Family: [Outfit](https://fonts.google.com/specimen/Outfit)
- Weights: 400, 600, 700
 */

/* widths: mobile: 375px, desktop: 1440px */
:root {
  /*  primary */
  --color-nutmeg: hsl(14, 45%, 36%);
  --color-raspberry-dark: hsl(332, 51%, 32%);

  /* neutral */
  --color-white: hsl(0, 0%, 100%);
  --color-white-rose: hsl(330, 100%, 98%);
  --color-eggshell: hsl(30, 54%, 90%);
  --color-grey-light: hsl(30, 18%, 87%);
  --color-brown-wenge: hsl(30, 10%, 44%);
  --color-dark-charcoal: hsl(24, 5%, 18%);

  /* fonts */
  --font-normal: 400;
  --font-semibold: 600;
  --font-bold: 700;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: var(--color-eggshell);
  font-family: Outfit, sans-serif;
  color: var(--color-brown-wenge);
  font-size: 0.75rem;
  max-width: 100vw;
}

img {
  background-color: blue;
  max-width: 100%;
  height: auto;
  border-radius: 10px;
}

h1 {
  font-family: "Young Serif", serif;
  color: var(--color-dark-charcoal);
  font-size: 1.9rem;
  font-weight: var(--font-normal);
  margin-top: 1.5rem;
}

h2 {
  color: var(--color-raspberry-dark);
}

h3 {
  color: var(--color-nutmeg);
}

p {
  margin-top: 1rem;
  color: hsl(30, 10%, 44%);
}

span {
  font-weight: var(--font-bold);
}

.card {
  max-width: 550px;
  padding: 2rem;
  background-color: var(--color-white);
  border-radius: 1.2rem;
}

.preparation {
  background-color: var(--color-white-rose);
  padding: 1.5rem;
}
